sailpoint.object

## Class ProvisioningPlan.AccountRequest

- java.lang.Object
- - sailpoint.object.ProvisioningPlan.AbstractRequest
  - - sailpoint.object.ProvisioningPlan.AccountRequest

Enclosing class:
  ProvisioningPlan

    public static class ProvisioningPlan.AccountRequest
    extends sailpoint.object.ProvisioningPlan.AbstractRequest

### Nested Class Summary

Nested Classes
`static class` `ProvisioningPlan.AccountRequest.Operation`

### Field Summary

Fields
`static java.lang.String` `ATTACHMENT_CONFIG_LIST`
`static java.lang.String` `ATTACHMENTS`
`static java.lang.String` `TYPE_ENTITLEMENT`
`static java.lang.String` `TYPE_ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AccountRequest()`
`AccountRequest(java.util.Map map)`
`AccountRequest(ProvisioningPlan.AccountRequest.Operation op, java.lang.String app, java.lang.String inst, java.lang.String id)`
`AccountRequest(ProvisioningPlan.AccountRequest src)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ProvisioningPlan.AccountRequest` `clone()`
`ProvisioningPlan.AccountRequest.Operation` `getOperation()`
`sailpoint.object.ProvisioningPlan.AbstractRequest` `instantiate()`
`void` `setOperation(ProvisioningPlan.AccountRequest.Operation op)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_ROLE

    public static final java.lang.String TYPE_ROLE

See Also:
  Constant Field Values

#### TYPE_ENTITLEMENT

    public static final java.lang.String TYPE_ENTITLEMENT

See Also:
  Constant Field Values

#### ATTACHMENTS

    public static final java.lang.String ATTACHMENTS

See Also:
  Constant Field Values

#### ATTACHMENT_CONFIG_LIST

    public static final java.lang.String ATTACHMENT_CONFIG_LIST

See Also:
  Constant Field Values

### Constructor Detail

#### AccountRequest

    public AccountRequest()

#### AccountRequest

    public AccountRequest(java.util.Map map)

#### AccountRequest

    public AccountRequest(ProvisioningPlan.AccountRequest src)

#### AccountRequest

    public AccountRequest(ProvisioningPlan.AccountRequest.Operation op,
                          java.lang.String app,
                          java.lang.String inst,
                          java.lang.String id)

### Method Detail

#### instantiate

    public sailpoint.object.ProvisioningPlan.AbstractRequest instantiate()

#### clone

    public ProvisioningPlan.AccountRequest clone()

#### setOperation

    public void setOperation(ProvisioningPlan.AccountRequest.Operation op)

#### getOperation

    public ProvisioningPlan.AccountRequest.Operation getOperation()